Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.util
Class HasherPartitioner

    java.lang.Object
      cascading.tuple.util.TupleHasher
          cascading.tuple.hadoop.util.HasherPartitioner

All Implemented Interfaces:
  JobConfigurable

Direct Known Subclasses:
  CoGroupingPartitioner, GroupingPartitioner

    public class HasherPartitioner

extends TupleHasher
implements JobConfigurable

Constructor Summary
`HasherPartitioner()`

Method Summary
`void` | `configure(JobConf jobConf)`

Methods inherited from class cascading.tuple.util.TupleHasher
`hashCode, initialize, isNull, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HasherPartitioner

    public HasherPartitioner()

Method Detail

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.